the Red Matrix
==============


The modern web is "missing" a few important pieces which would make it much more useful. Many corporations have stepped in with products to supply these missing pieces, but with a loss of freedom and privacy and increased **centralisation**. 

Centralisation is generally considered a bad thing in network design as the loss of one critical node or one centralised service could seriously impact the entire network - possibly taking years to recover. The original web was based on decentralised services.

These missing pieces are:

- Secure and Private Communications

- Identity and "Single-Signon"

- Privacy and Permissions which extend to the entire web

- Directory Services (like a phone book)


The Red Matrix (sometimes referred to as just "Red") is a collection of web services which provides these missing pieces. It operates as an independant network within the larger internet where all the nodes or servers (we call them "hubs") are able to fully interact with each other in ways that are simply not possible using legacy service providers. Additionally thay have the ability to set their own rules with regard to communications and privacy and data ownership, because they operate with full independance.

![images/red_antiprism.png](The Red Matrix model)


One of the flaws of many other decentralised network models is the binding of network identity with the physical server where it resides. Sometimes the burden or cost of maintaining these services becomes a burden (or hardware fails) and people are left stranded. They may have to "start over" building their social circle from scratch when this happens. Within the Red Matrix, identity is nomadic. You can take your identity, and all your friends and associates with you - to any other hub in the network. If your hub goes offline for any reason, you can relocate to any other hub and carry on as if nothing happened. Your friends and associates are still there. 

 
the Red Matrix is free and open source distributed under the MIT license.
